​
Select Service
ves-io-schema-advertise_policy-API-List
Published April 5, 2023 | Last modified June 11, 2026
Examples of listing advertise_policy
Usecase:
List advertise policy in a namespace, response will show all policies in created namespace
Request using vesctl:
vesctl configuration list advertise_policy --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: advertise-on-acmecorp-vsite-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 26c44b01-e742-414f-a4fe-e72a1c6b975f- annotations: {} labels: {} name: advertise-on-public namespace: documentation statusSet: [] tenant: acmecorp uid: 8ae1a633-5756-487f-ba9c-79de896c5f08Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/advertise_policys'curl response
HTTP/1.1 200 OKContent-Length: 870Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:58:57 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "advertise-on-acmecorp-vsite-1", "uid": "26c44b01-e742-414f-a4fe-e72a1c6b975f", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "advertise-on-public", "uid": "8ae1a633-5756-487f-ba9c-79de896c5f08", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}